Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.client.protocol
Class ResponseAuthCache

    java.lang.Object
      org.apache.http.client.protocol.ResponseAuthCache

All Implemented Interfaces:
  HttpResponseInterceptor

Deprecated. (4.2) use `AuthenticationStrategy`

    @Immutable
    @Deprecated
    public class ResponseAuthCache

extends Object
implements HttpResponseInterceptor

Response interceptor that adds successfully completed `AuthScheme`s to the local `AuthCache` instance. Cached `AuthScheme`s can be re-used when executing requests against known hosts, thus avoiding additional authentication round-trips.

Since:
  4.1

Constructor Summary
`ResponseAuthCache()` Deprecated.

Method Summary
`void` | `process(HttpResponse response, HttpContext context)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResponseAuthCache

    public ResponseAuthCache()

  Deprecated.

Method Detail

### process

    public void process(HttpResponse response,
                        HttpContext context)
                 throws HttpException,
                        IOException

  Deprecated.
  Specified by:
    `process` in interface `HttpResponseInterceptor`
  Throws:
    `HttpException`
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2013 The Apache Software Foundation. All Rights Reserved.